Name:           rfdump
Version:        1.6
Release:        2%{?dist}
Summary:        RFID tags detector

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.rfdump.org
Source0:        http://www.rfdump.org/dl/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)     

BuildRequires:  gtk2-devel
BuildRequires:  expat-devel
BuildRequires:  libglade2-devel
BuildRequires:  desktop-file-utils

%description
RFDump is a tool to detect RFID-Tags and show their meta information:
Tag ID, Tag Type, manufacturer etc. The user data memory of a tag can
be displayed and modified using either a Hex or an ASCII editor. Tag
contents can be stored and loaded using a specific XML fomrat. This
effectively allows to copy data from one tag to another. In addition,
the integrated cookie feature demonstrates how easy it is for a
company to abuse RFID technology to spy on their customers.  RFDump
works with the ACG Multi-Tag Reader or similar card reader hardware.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-install                                \
        --dir %{buildroot}%{_datadir}/applications  \
        --delete-original                           \
        --add-category="Electronics;"               \
        %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Jan 05 2009 Fabian Affolter <fabian@bernewireless.net> - 1.6-2
- Fixed source url

* Sat Jan 03 2009 Fabian Affolter <fabian@bernewireless.net> - 1.6-1
- Initial package for Fedora

